/*  $Id: server.pl,v 1.1.1.1 2001/01/24 15:20:58 jan Exp $

    Designed and implemented by Jan Wielemaker
    E-mail: jan@swi.psy.uva.nl

    Copyright (C) 1997 University of Amsterdam. All rights reserved.
*/

:- load_foreign_library(server).
:- use_module('test-impl').

go(Port) :-
	corba_initialize_server([port(Port)], Server),
	format('Server = ~w~n', [Server]),
	fabriek_create_true(marker, Self),
	corba_bind(Self, fabriek),
	corba_iiop_info(Hosts),
	format(user_error, 'Initialized server at ~p, entering main loop ...~n',
	       [Hosts]),
	corba_main_loop(Server).
